The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of HTTP/2: multiple vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of HTTP/2.
Impacted software: Apache httpd, Mac OS X, Debian, Jetty, Fedora, IBM API Connect, DB2 UDB, IBM i, WebSphere AS Liberty, Openfire, Kubernetes, Windows 10, Windows 2008 R0, Windows 2008 R2, Windows 2012, Windows 2016, Windows 2019, Windows 7, Windows 8, Windows RT, nginx, Nodejs Core, openSUSE Leap, Oracle Communications, Solaris, HTTP protocol, Puppet, RHEL, JBoss EAP by Red Hat, Red Hat SSO, Slackware, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu.
Severity of this computer vulnerability: 3/4.
Number of vulnerabilities in this bulletin: 8.
Creation date: 14/08/2019.
Références of this announce: 1072144, 1072860, 1167160, 6198380, bulletinoct2019, CERTFR-2019-AVI-389, cpuapr2020, CVE-2019-9511, CVE-2019-9512, CVE-2019-9513, CVE-2019-9514, CVE-2019-9515, CVE-2019-9516, CVE-2019-9517, CVE-2019-9518, DSA-4503-1, DSA-4505-1, DSA-4508-1, DSA-4511-1, DSA-4520-1, DSA-4669-1, FEDORA-2019-1686ae9b59, FEDORA-2019-5a6a7bc12c, FEDORA-2019-63ba15cc83, FEDORA-2019-7443ebda4b, FEDORA-2019-81985a8858, FEDORA-2019-8a437d5c2f, FEDORA-2019-befd924cfe, HT210436, NFLX-2019-002, openSUSE-SU-2019:2000-1, openSUSE-SU-2019:2051-1, openSUSE-SU-2019:2056-1, openSUSE-SU-2019:2072-1, openSUSE-SU-2019:2085-1, openSUSE-SU-2019:2114-1, openSUSE-SU-2019:2115-1, openSUSE-SU-2019:2120-1, openSUSE-SU-2019:2130-1, openSUSE-SU-2019:2232-1, openSUSE-SU-2019:2234-1, openSUSE-SU-2019:2264-1, RHSA-2019:2692-01, RHSA-2019:2726-01, RHSA-2019:2745-01, RHSA-2019:2746-01, RHSA-2019:2775-01, RHSA-2019:2799-01, RHSA-2019:2893-01, RHSA-2019:2925-01, RHSA-2019:2939-01, RHSA-2019:2949-01, RHSA-2019:2955-01, RHSA-2019:4018-01, RHSA-2019:4019-01, RHSA-2019:4020-01, RHSA-2019:4021-01, RHSA-2019:4040-01, RHSA-2019:4041-01, RHSA-2019:4042-01, RHSA-2019:4045-01, RHSA-2019:4269-01, RHSA-2019:4273-01, RHSA-2020:0406-01, SSA:2020-091-02, SUSE-SU-2019:2213-1, SUSE-SU-2019:2214-1, SUSE-SU-2019:2237-1, SUSE-SU-2019:2254-1, SUSE-SU-2019:2259-1, SUSE-SU-2019:2260-1, SUSE-SU-2019:2309-1, SUSE-SU-2019:2329-1, SUSE-SU-2019:2473-1, SUSE-SU-2019:2559-1, SUSE-SU-2020:0059-1, Synology-SA-19:33, Synology-SA-19:37, USN-4099-1, USN-4113-1, USN-4113-2, USN-4308-1, VIGILANCE-VUL-30040, VU#605641.

Description of the vulnerability 

An attacker can use several vulnerabilities of HTTP/2.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer threat impacts software or systems such as Apache httpd, Mac OS X, Debian, Jetty, Fedora, IBM API Connect, DB2 UDB, IBM i, WebSphere AS Liberty, Openfire, Kubernetes, Windows 10, Windows 2008 R0, Windows 2008 R2, Windows 2012, Windows 2016, Windows 2019, Windows 7, Windows 8, Windows RT, nginx, Nodejs Core, openSUSE Leap, Oracle Communications, Solaris, HTTP protocol, Puppet, RHEL, JBoss EAP by Red Hat, Red Hat SSO, Slackware, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu.

Our Vigil@nce team determined that the severity of this computer vulnerability alert is important.

The trust level is of type confirmed by the editor, with an origin of internet client.

This bulletin is about 8 vulnerabilities.

An attacker with a expert ability can exploit this cybersecurity weakness.

Solutions for this threat 

HTTP/2: workaround.
A workaround is to disable HTTP/2.

Apache httpd: version 2.4.41.
The version 2.4.41 is fixed:
  https://httpd.apache.org/download.cgi

Cloud Foundry: fixed versions for HTTP/2.
Fixed versions are indicated in information sources.

Continuous Delivery for Puppet Enterprise: version 2.18.2.
The version 2.18.2 is fixed:
  https://puppet.com/

Debian 10: new golang-1.11 packages.
New packages are available:
  Debian 10: golang-1.11 1.11.6-1+deb10u1

Debian 10: new h2o packages.
New packages are available:
  Debian 10: h2o 2.2.5+dfsg2-2+deb10u1

Debian 10: new nodejs packages.
New packages are available:
  Debian 10: nodejs 10.19.0~dfsg1-1

Debian 10: new trafficserver packages.
New packages are available:
  Debian 10: trafficserver 8.0.2+ds-1+deb10u1

Debian 9/10: new nghttp2 packages.
New packages are available:
  Debian 9: nghttp2 1.18.1-1+deb9u1
  Debian 10: nghttp2 1.36.0-2+deb10u1

Debian 9/10: new nginx packages.
New packages are available:
  Debian 9: nginx 1.10.3-1+deb9u3
  Debian 10: nginx 1.14.2-2+deb10u1

Eclipse Jetty: version 9.2.29.
The version 9.2.29 is fixed:
  https://www.eclipse.org/jetty/download.html

Eclipse Jetty: version 9.3.28.
The version 9.3.28 is fixed:
  https://www.eclipse.org/jetty/download.html

Eclipse Jetty: version 9.4.21.
The version 9.4.21 is fixed:
  https://www.eclipse.org/jetty/download.html

Fedora 30: new mod_http2 packages.
New packages are available:
  Fedora 30: mod_http2 1.15.3-2.fc30

Fedora 30: new nginx packages.
New packages are available:
  Fedora 30: nginx 1.16.1-1.fc30

Fedora 30: new nodejs packages.
New packages are available:
  Fedora 30: nodejs 10.16.3-1.fc30

Fedora 31: new nodejs packages.
New packages are available:
  Fedora 31: nodejs 12.13.1-1.fc31

Fedora: new libuv packages.
New packages are available:
  Fedora 30: libuv 1.33.1-1.fc30
  Fedora 31: libuv 1.33.1-1.fc31

Fedora: new nghttp2 packages.
New packages are available:
  Fedora 29: nghttp2 1.39.2-1.fc29
  Fedora 30: nghttp2 1.39.2-1.fc30

IBM API Connect: fixed versions for HTTP/2.
Fixed versions are indicated in information sources.

IBM DB2: patch for included libraries.
A patch for each platform for versions 11.1 and 11.5 is indicated in information sources.

IBM i: new Node,js packages.
New packages are available:
  nodejs12-12.8.1-1.ibmi7.2.ppc64.rpm
  nodejs10-10.16.3-1.ibmi7.2.ppc64.rpm
  nodejs8-8.16.1-1.ibmi7.2.ppc64.rpm

Ignite Openfire: version 4.5.2.
The version 4.5.2 is fixed.

Kubernetes: version 1.13.10.
The version 1.13.10 is fixed:
  https://github.com/kubernetes/kubernetes/releases/tag/v1.13.10

Kubernetes: version 1.14.6.
The version 1.14.6 is fixed:
  https://github.com/kubernetes/kubernetes/releases/tag/v1.14.6

Kubernetes: version 1.15.3.
The version 1.15.3 is fixed:
  https://github.com/kubernetes/kubernetes/releases/tag/v1.15.3

macOS Sierra SwiftNIO HTTP/2: version 1.5.0.
The version 1.5.0 is fixed:
  https://support.apple.com/

nginx: version 1.16.1.
The version 1.16.1 is fixed:
  https://nginx.org/

nginx: version 1.17.3.
The version 1.17.3 is fixed:
  https://nginx.org/

Node Core: version 10.16.3.
The version 10.16.3 is fixed:
  https://nodejs.org/en/download/

Node Core: version 12.8.1.
The version 12.8.1 is fixed:
  https://nodejs.org/en/download/

Node Core: version 8.16.1.
The version 8.16.1 is fixed:
  https://nodejs.org/en/download/

openSUSE Leap 15.0: new nginx packages.
New packages are available:
  openSUSE Leap 15.0: nginx 1.14.2-lp150.2.11.1

openSUSE Leap 15.1: new go1.12 packages (09/09/2019).
New packages are available:
  openSUSE Leap 15.1: go1.12 1.12.9-lp151.2.17.1

openSUSE Leap 15.1: new go1.12 packages (26/08/2019).
New packages are available:
  openSUSE Leap 15.1: go1.12 1.12.9-lp151.2.21.1

openSUSE Leap 15.1: new nginx packages.
New packages are available:
  openSUSE Leap 15.1: nginx 1.14.2-lp151.4.3.1

openSUSE Leap 15: new apache2 packages.
New packages are available:
  openSUSE Leap 15.0: apache2 2.4.33-lp150.2.23.1
  openSUSE Leap 15.1: apache2 2.4.33-lp151.8.6.1

openSUSE Leap 15: new go1.11 packages.
New packages are available:
  openSUSE Leap 15.0: go1.11 1.11.13-lp150.18.1
  openSUSE Leap 15.1: go1.11 1.11.13-lp151.2.9.1

openSUSE Leap 15: new go1.12 packages.
New packages are available:
  openSUSE Leap 15.0: go1.12 1.12.9-lp150.8.1
  openSUSE Leap 15.1: go1.12 1.12.9-lp151.2.13.1

openSUSE Leap 15: new nghttp2 packages.
New packages are available:
  openSUSE Leap 15.0: nghttp2 1.39.2-lp150.2.3.1
  openSUSE Leap 15.1: nghttp2 1.39.2-lp151.3.3.1

openSUSE Leap 15: new nodejs10 packages.
New packages are available:
  openSUSE Leap 15.0: nodejs10 10.16.3-lp150.5.1
  openSUSE Leap 15.1: nodejs10 10.16.3-lp151.2.6.1

openSUSE Leap 15: new nodejs8 packages.
New packages are available:
  openSUSE Leap 15.0: nodejs8 8.16.1-lp150.2.19.1
  openSUSE Leap 15.1: nodejs8 8.16.1-lp151.2.6.1

Oracle Communications: CPU of April 2020.
A Critical Patch Update is available:
  https://support.oracle.com/rs?type=doc&id=2647690.1
  https://support.oracle.com/rs?type=doc&id=2654603.1
  https://support.oracle.com/rs?type=doc&id=2652618.1
  https://support.oracle.com/rs?type=doc&id=2653087.1
  https://support.oracle.com/rs?type=doc&id=2653688.1
  https://support.oracle.com/rs?type=doc&id=2652610.1
  https://support.oracle.com/rs?type=doc&id=2653279.1
  https://support.oracle.com/rs?type=doc&id=2652619.1
  https://support.oracle.com/rs?type=doc&id=2652621.1
  https://support.oracle.com/rs?type=doc&id=2652606.1
  https://support.oracle.com/rs?type=doc&id=2653691.1
  https://support.oracle.com/rs?type=doc&id=2653692.1
  https://support.oracle.com/rs?type=doc&id=2647687.1
  https://support.oracle.com/rs?type=doc&id=2652622.1

Oracle Solaris: patch for third party software of April 2020 v2.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

Oracle Solaris: patch for third party software of October 2019 v1.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

Oracle Solaris: patch for third party software of October 2019 v2.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

Pivotal Cloud Foundry: fixed versions for HTTP/2.
Fixed versions are indicated in information sources.

Red Hat JBoss EAP: version 7.2.5.
The version 7.2.5 is fixed:
  https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=appplatform&downloadType=securityPatches&version=7.2

Red Hat Single Sign-On: version 7.3.5.
The version 7.3.5 is fixed:
  https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=core.service.rhsso&downloadType=securityPatches&version=7.3

RHEL 6, 7: new httpd24-httpd/httpd24-nghttp2 packages.
New packages are available:
  RHEL 6: httpd24-httpd 2.4.34-8.el6.1, httpd24-nghttp2 1.7.1-7.el6.1
  RHEL 7: httpd24-httpd 2.4.34-8.el7.1, httpd24-nghttp2 1.7.1-7.el7.1

RHEL 7.7: new containernetworking-plugins packages.
New packages are available:
  RHEL 7.7: containernetworking-plugins 0.8.1-4.el7_7

RHEL 7: new rh-nginx112-nginx packages.
New packages are available:
  RHEL 7: rh-nginx112-nginx 1.12.1-3.el7.1

RHEL 7: new rh-nginx114-nginx packages.
New packages are available:
  RHEL 7: rh-nginx114-nginx 1.14.1-1.el7.1

RHEL 7: new rh-nodejs10 packages.
New packages are available:
  RHEL 7: rh-nodejs10 3.2-3.el7

RHEL 7: new rh-nodejs8-nodejs packages.
New packages are available:
  RHEL 7: rh-nodejs8-nodejs 8.16.1-2.el7

RHEL 8.0: new nghttp2 packages.
New packages are available:
  RHEL 8: nghttp2 1.33.0-1.el8_0.1

RHEL 8: new container-tools-1.0 module.
The following module is updated:
  RHEL 8 Module: container-tools:1.0

RHEL 8: new container-tools-rhel8 module.
The following module is updated:
  RHEL 8 Module: container-tools:rhel8

RHEL 8: new go-toolset-rhel8 module.
The following module is updated:
  RHEL 8 Module: go-toolset:rhel8

RHEL 8: new httpd-2.4 module.
The following module is updated:
  RHEL 8 Module: httpd:2.4

RHEL 8: new nginx packages.
New packages are available:
  RHEL 8: nginx 1.14.1-9.module+el8.0.0+4108+af250afe

RHEL 8: new nodejs-10 module.
The following module is updated:
  RHEL 8 Module: nodejs:10

RHEL: new rh-nginx110-nginx packages.
New packages are available:
  RHEL 6: rh-nginx110-nginx 1.10.2-9.el6.1
  RHEL 7: rh-nginx110-nginx 1.10.2-9.el7.1

Slackware: new httpd packages.
New packages are available:
  Slackware 14.0: httpd 2.4.43-*-1_slack14.0
  Slackware 14.1: httpd 2.4.43-*-1_slack14.1
  Slackware 14.2: httpd 2.4.43-*-1_slack14.2

SUSE LE 12: new nodejs10 packages.
New packages are available:
  SUSE LE 12 RTM-SP5: nodejs10 10.16.3-1.12.1

SUSE LE 12: new nodejs12 packages.
New packages are available:
  SUSE LE 12 RTM-SP5: nodejs12 12.13.0-1.3.1

SUSE LE 12 SP4: new apache2 packages.
New packages are available:
  SUSE LE 12 SP4: apache2 2.4.23-29.43.1

SUSE LE 15: new apache2 packages.
New packages are available:
  SUSE LE 15 RTM: apache2 2.4.33-3.21.1
  SUSE LE 15 SP1: apache2 2.4.33-3.21.1

SUSE LE 15: new go1.11 packages.
New packages are available:
  SUSE LE 15 RTM: go1.11 1.11.13-1.18.1
  SUSE LE 15 SP1: go1.11 1.11.13-1.18.1

SUSE LE 15: new go1.12 packages.
New packages are available:
  SUSE LE 15 RTM: go1.12 1.12.9-1.15.1
  SUSE LE 15 SP1: go1.12 1.12.9-1.15.1

SUSE LE 15: new nghttp2 packages.
New packages are available:
  SUSE LE 15 RTM: nghttp2 1.39.2-3.3.1
  SUSE LE 15 SP1: nghttp2 1.39.2-3.3.1

SUSE LE 15: new nodejs10 packages.
New packages are available:
  SUSE LE 15 RTM: nodejs10 10.16.3-1.12.1
  SUSE LE 15 SP1: nodejs10 10.16.3-1.12.1

SUSE LE 15: new nodejs8 packages.
New packages are available:
  SUSE LE 15 RTM: nodejs8 8.16.1-3.20.1
  SUSE LE 15 SP1: nodejs8 8.16.1-3.20.1

SUSE LE 15 RTM: new nginx packages.
New packages are available:
  SUSE LE 15 RTM: nginx 1.14.2-3.6.1

SUSE LE 15 SP1: new nginx packages.
New packages are available:
  SUSE LE 15 SP1: nginx 1.14.2-6.3.1

Synology DSM: version 6.2.2-24922-4.
The version 6.2.2-24922-4 is fixed:
  https://www.synology.com/

Ubuntu: new apache2 packages.
New packages are available:
  Ubuntu 19.04: apache2 2.4.38-2ubuntu2.3
  Ubuntu 18.04 LTS: apache2 2.4.29-1ubuntu4.11
  Ubuntu 16.04 LTS: apache2 2.4.18-2ubuntu3.13

Ubuntu: new nginx packages.
New packages are available:
  Ubuntu 19.04: nginx 1.15.9-0ubuntu1.1
  Ubuntu 18.04 LTS: nginx 1.14.0-0ubuntu1.4
  Ubuntu 16.04 LTS: nginx 1.10.3-0ubuntu0.16.04.4

Ubuntu: new python-twisted packages.
New packages are available:
  Ubuntu 19.10: python-twisted 18.9.0-3ubuntu1.1
  Ubuntu 18.04 LTS: python-twisted 17.9.0-2ubuntu0.1
  Ubuntu 16.04 LTS: python-twisted 16.0.0-1ubuntu0.4

WebSphere Application Server Liberty: patch for HTTP/2.
A patch is indicated in information sources.

Windows: patch of August 2019.
A patch is indicated in information sources.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides systems vulnerabilities analysis. The technology watch team tracks security threats targeting the computer system.